function ball_animation(t_all,q_all,ball)

%%% interpolate for animation %%
tstart = t_all(1); 
tend = t_all(end);
tinterp = linspace(tstart,tend,ball.movieFps*(tend-tstart));
[m,n]=size(q_all);
for i=1:n
    qinterp(:,i) = interp1(t_all,q_all(:,i),tinterp);
end

if (ball.movieWrite)
    mov = VideoWriter(ball.movieName); 
    open(mov);
end

for i=1:length(tinterp)
    plot(qinterp(i,1),qinterp(i,3),'ro','MarkerEdgeColor','r', 'MarkerFaceColor','r','MarkerSize',10); hold on;
    line([min(qinterp(:,1)) max(qinterp(:,1))],[ball.ground ball.ground],'Linewidth',2)
    axis([-1 max(qinterp(:,1))+1 min(qinterp(:,3))-1 max(qinterp(:,3))+1]); %axis([xmin xmax ymin ymax]); 
    plot(qinterp(1:i,1),qinterp(1:i,3),'k');
    
    if (ball.movieWrite)
        axis off %does not show axis
        set(gcf,'Color',[1,1,1]) %set background to white
        writeVideo(mov,getframe);
    end
    
    pause(ball.moviePause);
    hold off
end

if (ball.movieWrite)
    close(mov);
end
